%define module_version 0.05
%define module_name Geo-States
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build/Tiny.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Lookup states and capitals by state names or abbreviations
Group: Development/Perl
License: mit
URL: https://github.com/aggrolite/Geo-States

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CU/CURTIS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Geo::States will find a US or Canadian state/province (by name or
abbreviation) and return an object with two subroutines:

=over

=item text()

The text of the state.  If given full name, text() will return
the abbreviation, and vice versa.

=item capital()

Returns the capital name of the given state

=back


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/G*

%changelog
* Sun Sep 18 2016 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Thu Jul 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

